%define module_name	igb
%define module_release	alt1
%define module_version 1.3.19.3

%define kversion	2.6.30
%define krelease	alt14
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/char/drm

Summary:	Intel(R) Gigabit Ethernet Connection
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release.132638.14
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://dri.freedesktop.org/
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Conflicts: kernel-modules-drm-via-%kversion-%flavour-%krelease

Prereq:		coreutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86
%description
This package contains the Linux driver for the Intel(R) Gigabit Family of Server Adapters.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version
%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
# SMP build does not work
make -C src KSRC=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
cp -a src/*.ko $RPM_BUILD_ROOT/%module_dir/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Oct 06 2009 Michail Yakushin <silicium@altlinux.ru> 1.3.19.3-alt1.132638.14
- Build for kernel-image-std-pae-2.6.30-alt14.

* Tue May 26 2009 Michail Yakushin <silicium@altlinux.ru> 1.3.19.3-alt1
- 1.3.19.3 

* Tue Apr 29 2008 Michail Yakushin <silicium@altlinux.ru> 1.2.24-alt1
- intial build  

